C
C------------------------------------------------------
C
C     Problem:    ACTIVITY
C
C     Date:       17.02.98
C
C------------------------------------------------------
C
*     REAL CONSTANT
      a = 1700000
      s1 = 0.0000001
      b = 360
      c = 0.003
      e = 0.1 
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (x)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      P1, P2, CONC, INT, time
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION CONC_t
      CONC_t = (a*P1*s1 - CONC*(P1*s1*(b + P2) + c*P2)
     /          - P1*s1*INT)/(e*P2)
C
*     FUNCTION INT_t
      INT_t = CONC
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION CONC_0
      CONC_0 = 0
C
*     FUNCTION INT_0
      INT_0 = 0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION CONC_fit
      CONC_fit = CONC
C
*     FUNCTION INT_plot
      INT_plot = INT
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
