C
C------------------------------------------------------
C
C     Problem:    BATCH_CT
C
C     Date:       31.05.2002
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      a0, a1, a2, a3, a4, a5, a6, x1, x2, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION x1_t
      Temp = a0 + a1*t + a2*t**2 + a3*t**3 + a4*t**4 
     /                                   + a5*t**5 + a6*t**6
      w = 4000*exp(-2500/Temp)*x1**2
      x1_t = -w
C
*     FUNCTION x2_t
      x2_t = w - 6.2E+5*exp(-5000/Temp)*x2 
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION x1_0
      x1_0 = 1
C
*     FUNCTION x2_0
      x2_0 = 0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION x1_fit
      x1_fit = x1
C
*     FUNCTION x2_fit
      x2_fit = x2
C
*     FUNCTION Temp_ctrl
      Temp = a0 + a1*t + a2*t**2 + a3*t**3 + a4*t**4 
     /                                   + a5*t**5 + a6*t**6
      Temp_ctrl = Temp
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C







