C
C------------------------------------------------------
C
C     Problem:    BLASIUS
C
C     Date:       02.12.2003
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      a, b, c, g1, g2, g3, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION g1_t
      g1_t = a*g2
C
*     FUNCTION g2_t
      g2_t = g3
C
*     FUNCTION g3_t
      g3_t = -b*g1*g3
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION g1_0
      g1_0 = 0
C
*     FUNCTION g2_0
      g2_0 = 0
C
*     FUNCTION g3_0
      g3_0 = c
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION g1_fit
      g1_fit = g1
C
*     FUNCTION g2_fit
      g2_fit = g2
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
*     FUNCTION con
      con = g2 - 1 
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
