C
C------------------------------------------------------
C
C     Problem:    CONC4
C
C     Date:       18.05.2001
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      k1, k2, k3, k4, k5, k6, k7, X, flag, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION X_t
      if (flag.lt.1.5) then
        mCAT= 0.731395532432238
        CA0 = 0.0688955918841266
        CB0 = 0.238679593096996
        CC0 = 0
        CD0 = 0
      else
      if (flag.lt.2.5) then
        mCAT= 0.734102316727825
        CA0 = 0.147143132106199
        CB0 = 0.241990862231253
        CC0 = 0
        CD0 = 0
      else
      if (flag.lt.3.5) then
        mCAT= 0.739329098859732
        CA0 = 0.258137063098713
        CB0 = 0.245077974415735
        CC0 = 0
        CD0 = 0
      endif
      endif
      endif
      CA = CA0 - 2*X
      CB = CB0 - X
      CC = CC0 + X
      CD = CD0 + X
      X_t = mCAT*k1*CA**2*CB*(1 - k2*CC*CD/(CA**2*CB))
     /      /(1 + k3*CA + k4*CB + k5*CC + k6*CD + k7*CA*CB)**2
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION X_0
      X_0 = 0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION X_fit
      X_fit = X
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
