C
C------------------------------------------------------
C
C     Problem:    DECAY
C
C     Date:       02.10.2001
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      K, L, M, X, Y, Z, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION X_t
      X_t = -K*X
C
*     FUNCTION Y_t
      Y_t = K*X - L*Y
C
*     FUNCTION Z_t
      Z_t = L*Y - M*Z
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION X_0
      X_0 = 5000
C
*     FUNCTION Y_0
      Y_0 = 0
C
*     FUNCTION Z_0
      Z_0 = 0
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION Z_fit
      Z_fit = Z
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
