C
C------------------------------------------------------
C
C     Problem:    RAMAN
C
C     Date:       27.11.2001
C
C------------------------------------------------------
C
*     REAL CONSTANT
      pi = 3.1415926535
      J = 1000
      lambda = 1.5
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. concentration variable, if exists (c)
C     3. time variable (t)
C
*     VARIABLE
      alpha1, alpha3, x
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION Ixx
      a1 = alpha1/alpha3
      Ixx = (alpha3**3*(21 + 28*a1 + 56*a1**2) 
     /       - J*cos(pi*x/lambda)**2*(15 + 26*a1 - 6*a1**2))/105
C
*     FUNCTION Iyy
      Iyy = (alpha3**3*(21 + 28*a1 + 56*a1**2) 
     /       - J*cos(pi*x/lambda)**2*(3 + 8*a1 + 24*a1**2))/105
C
*     FUNCTION Ixy
      Ixy = (alpha3**3*(7 - 14*a1 + 7*a1**2) 
     /       - J*cos(pi*x/lambda)**2*(3 - 6*a1 + 3*a1**2))/105
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION g1
C      g1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C

