C
C------------------------------------------------------
C
C     Problem:     RECLIG12
C
C     Date:        05.11.1993
C
C------------------------------------------------------
C
C
C   - Independent variables in the following order:
C     1. system variables (z)
C     2. parameters to be estimated (x)
C     3. time variable (t)
C
*     VARIABLE
      K11, K12, R1, L1, ZR1, ZL1, ZL2S, L2
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     nonlinear equations:
C
*     FUNCTION G1
      G1 = ZR1*(1 + ZL1/K11 + ZL2S/K12*L2) - R1
C
*     FUNCTION G2
      G2 = ZL1*(1 + ZR1/K11) - L1
C
*     FUNCTION G3
      G3 = ZL2S*(1 + ZR1/K12) - 1
C
C------------------------------------------------------
C
C   - Initial values for solving systems of nonlinear
C     equations:
C
*     FUNCTION ZR10
      ZR10 = R1
C
*     FUNCTION ZL10
      ZL10 = L1
C
*     FUNCTION ZL2S0
      ZL2S0 = 1
C
C------------------------------------------------------
C
C   - Fitting criterion:
C
*     FUNCTION FIT
      FIT = L1 - ZL1
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
