C
C------------------------------------------------------
C
C     Problem:     RECLIG9
C
C     Date:        12.8.1992
C
C------------------------------------------------------
C
*     REAL CONSTANT
      L1 = 0.54
      K11 = 6.4102
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (p)
C     2. system variables (z)
C     3. time variable (t)
C
*     VARIABLE
      K12, K22, R1, R2, ZR1, ZR2, ZL1, ZL2S, L2
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     nonlinear equations:
C
*     FUNCTION G1
      G1 = ZR1*(1.0 + K11*ZL1 + K12*L2*ZL2S) - R1
C
*     FUNCTION G2
      G2 = ZR2*(1.0 + K11*ZL1 + K22*L2*ZL2S) - R2
C
*     FUNCTION G3
      G3 = ZL1*(1.0 + K11*ZR1 + K11*ZR2) - L1
C
*     FUNCTION G4
      G4 = ZL2S*(1.0 + K12*ZR1 + K22*ZR2) - 1
C
C------------------------------------------------------
C
C   - Initial values for solving systems of nonlinear
C     equations:
C
*     FUNCTION ZR10
      ZR10 = R1
C
*     FUNCTION ZR20
      ZR20 = R2
C
*     FUNCTION ZL10
      ZL10 = L1
C
*     FUNCTION ZL2S0
      ZL2S0 = 1.0
C
C------------------------------------------------------
C
C   - Fitting criterion:
C
*     FUNCTION FIT
      FIT = L1 - ZL1
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C










