C
C------------------------------------------------------
C
C     Problem:    SHARP2
C
C     Date:       12.05.97
C
C------------------------------------------------------
C 
*     REAL CONSTANT
      pi = 3.1415926535
C
C------------------------------------------------------
C 
C   - Independent variables in the following order:
C     1. parameters to be estimated (x)
C     2. variables identifying solution of ordinary
C        differential equations (y)
C     3. concentration variable, if exists (c)
C     4. time variable (t)
C
*     VARIABLE
      A, y, z, t
C
C------------------------------------------------------
C
C   - Functions defining right-hand side of system of 
C     ordinary differential equations:
C
*     FUNCTION y_p
      y_p = z
C
*     FUNCTION z_p
      z_p = (-(1+pi**2*A)*cos(pi*(t-1)) - pi*(t-1)*sin(pi*(t-1))
     /      - (t-1)*z + y)/A
C
C------------------------------------------------------
C
C   - Initial values for solving systems of ordinary
C     differential equations (t=0):
C
*     FUNCTION y_0
      y_0 = -1
C
*     FUNCTION z_0
      z_0 = 0.0017
C
C------------------------------------------------------
C
C   - Fitting criteria:
C
*     FUNCTION y_fit
      y_fit = y
C
*     FUNCTION z_fit
      z_fit = z
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
C*     FUNCTION G1
C      G1 = ...
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C
