C
C------------------------------------------------------
C
C     Problem:   TP332
C
C     Date:      02.03.1994
C
C------------------------------------------------------
C
*     REAL CONSTANT
      pi = 3.1415926535
C
C------------------------------------------------------
C
C   - Independent variables in the following order:
C     1. parameters to be estimated (x)
C     2. concentration variable, if exists (c)
C     3. time variable (t)
C
*     VARIABLE
      x1, x2, i
C
C------------------------------------------------------
C
C   - Fitting criteria:
C   
*     FUNCTION y1
      t = pi*(1/3 + (i-1)/180)
      y1 = ((log(t) + x2)*sin(t) + x1*cos(t))*sqrt(pi/3.6)
C   
*     FUNCTION y2
      y2 = ((log(t) + x2)*cos(t) - x1*sin(t))*sqrt(pi/3.6)
C
C------------------------------------------------------
C
C   - Constraints (if exist):
C
*     FUNCTION G1
      pmax = -1000
      j = 1
 1000 continue
      t = pi*(1/3 + (j-1)/180)
      test = 180/pi*atan(abs((1/t-x1)/(log(t)+x2)))
      if (test.gt.pmax) then
        pmax = test
      endif
      j = j+1
      if (j.le.100) then
        goto 1000
      endif
      G1 = 30 - pmax
C
*     FUNCTION G2
      G2 = pmax + 30
C
C------------------------------------------------------
C
*     END
C
C------------------------------------------------------
C




